#***************************************************************************************************
#                         R script for visualising Episodic TopoART networks                       *
#***************************************************************************************************
#                           Created by Marko Tscherepanow, 15 October 2013                         *
#***************************************************************************************************

# Set the working directory to <LibTopoART directory>/visualisation/R/
# Run: source("ShowEpisodicTopoARTResults.R")

sapply(list.files(pattern = "[.]R$", path = "functions/", full.names = TRUE), source)

InitLibTopoARTScripts()

# Open Episodic TopoART network saved as a text file
eta <- new("EpisodicTopoART", path = "../../results/networks/Fast_Episodic_TopoART_TwoSpirals_dataset.txt")

# Images are saved to images/ETA_x.pdf, where x denotes the module (a, b, c, d, or e).
SaveNetworkPlot(eta)

